Download it now!
Bug 137008 - mml crash on load
Summary: mml crash on load
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-24 19:59 UTC by Caolán McNamara
Modified: 2020-09-29 11:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
reproducer for crash (106 bytes, application/mathml+xml)
2020-09-24 20:00 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2020-09-24 19:59:32 UTC
Description:
The attached .mml has recently starting crashing on load

Steps to Reproduce:
1. ./instdir/program/smath ~/clusterfuzz-testcase-minimized-mmlfuzzer-4855642643496960.mml

Actual Results:
as above

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
regression since...

commit 8c716704df4aaa83fcd198cc8d92cd3e1e542de9
Date:   Wed Jul 15 02:58:57 2020 +0200

    tdf#38885 Remove createTextFromNode
Comment 1 Caolán McNamara 2020-09-24 20:00:45 UTC
Created attachment 165821 [details]
reproducer for crash
Comment 2 Commit Notification 2020-09-25 09:14:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ada652802db80202090fe55915d0b6ce648de59f

tdf#137008 mml crash on load

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-09-29 11:59:20 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cd85546a2fbdade42f80fd3b6bd650791db9f32d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: tr-TR (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!